[package]
name = "khguide"
version = "1.4.0"
edition = "2024"

[dependencies]
askama = "0.14.0"
serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.145"
toml = "0.9.8"
tracing = "0.1.41"
tracing-subscriber = { version = "0.3.20", features = ["env-filter"] }
itertools = "0.14.0"
blake3 = "1.8.2"
ordered-float = { version = "5.1.0", features = ["serde"] }

[features]
default = ["bbs", "ddd", "kh3", "kh2", "kh1"]
kh1 = []
kh2 = []
kh3 = []
bbs = []
ddd = []
